function sodaPar = sodaLoadSettings(sodaPar,f)

[varName,varValue] = textread(f,'%s = %[^\n]');


for k=1:numel(varName)
    
    if ~isfield(sodaPar,varName{k})
        eval(['sodaPar.',varName{k},'=',varValue{k},';'])
    end
    
end
